package com.ejie.y41e.model;

import java.util.ArrayList;
import java.util.List;

/**
 * Y41eGrafico
 *  
 */

public class Y41eGrafico implements java.io.Serializable {

    private static final long serialVersionUID = 1L;
    private Y41eBloque bloque;
    private Y41ePregunta pregunta;
    private String labels;
    private String data;
    private Long numResultados;
    private List<Y41eResultados> resultados = new ArrayList<Y41eResultados>();
    private String[] labelArray;
    private String[] dataArray;

    /** 
     * Method 'Y41eGrafico'.
     */
    public Y41eGrafico() {
        //constructor
    }

    /**
     * @return the bloque
     */
    public Y41eBloque getBloque() {
        if(bloque==null){
            bloque = new Y41eBloque();
        }
        return bloque;
    }

    /**
     * @param bloque the bloque to set
     */
    public void setBloque(Y41eBloque bloque) {
        this.bloque = bloque;
    }

    /**
     * @return the pregunta
     */
    public Y41ePregunta getPregunta() {
        if(pregunta==null){
            pregunta = new Y41ePregunta();
        }
        return pregunta;
    }

    /**
     * @param pregunta the pregunta to set
     */
    public void setPregunta(Y41ePregunta pregunta) {
        this.pregunta = pregunta;
    }

    /**
     * @return the labels
     */
    public String getLabels() {
        return labels;
    }

    /**
     * @param labels the labels to set
     */
    public void setLabels(String labels) {
        this.labels = labels;
    }

    /**
     * @return the data
     */
    public String getData() {
        return data;
    }

    /**
     * @param data the data to set
     */
    public void setData(String data) {
        this.data = data;
    }

    /**
     * @return the labelArray
     */
    public String[] getLabelArray() {
        return labelArray;
    }

    /**
     * @param labelArray the labelArray to set
     */
    public void setLabelArray(String[] labelArray) {
        this.labelArray = labelArray;
    }

    /**
     * @return the dataArray
     */
    public String[] getDataArray() {
        return dataArray;
    }

    /**
     * @param dataArray the dataArray to set
     */
    public void setDataArray(String[] dataArray) {
        this.dataArray = dataArray;
    }

    /**
     * @return the numResultados
     */
    public Long getNumResultados() {
        return numResultados;
    }

    /**
     * @param numResultados the numResultados to set
     */
    public void setNumResultados(Long numResultados) {
        this.numResultados = numResultados;
    }

    /**
     * @return the numResultados
     */
    public Long getResultadosList() {
        return (long) resultados.size();
    }

    /**
     * @return the resultados
     */
    public List<Y41eResultados> getResultados() {
        return resultados;
    }

    /**
     * @param resultados the resultados to set
     */
    public void setResultados(List<Y41eResultados> resultados) {
        this.resultados = resultados;
    }

}

